ORT_WRITE_DIFF_FILE(3)

NAME
ort_write_diff_file - serialise openradtool configuration differences

LIBRARY
libort

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <ort.h>
int
ort_write_diff_file(FILE *f, const struct diff *q, const char *const *froms, size_t fromsz, const char *const *intos, size_t intosz);

DESCRIPTION
Serialise a configuration difference q previously generated with ort_diff(3). The differences shown are between the old file names listed in froms and the new file names intos of length fromsz and intosz, respectively.

RETURN VALUES
Returns zero if errors occur writing to f or non-zero otherwise.

SEE ALSO
ort(3)